haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.ModuleName

Description

Keep the module name in sync with its file path.

Provide CodeLenses to: * Add a module header ("module moduleName where") to empty Haskell files * Fix the module name if incorrect

Synopsis

- descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState
- data Log

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

Plugin descriptor

data Log #

#### Instances

Instances details

Show Log # |
Instance details Defined in Ide.Plugin.ModuleName Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Ide.Plugin.ModuleName Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #